aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'pkg/scripts/postinstall.sh')
-rw-r--r--pkg/scripts/postinstall.sh13+13 −0
1 files changed, 13 insertions, 0 deletions
diff --git a/pkg/scripts/postinstall.sh b/pkg/scripts/postinstall.sh
new file mode 100644
--- /dev/null
+++ b/pkg/scripts/postinstall.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+# Copyright (c) 2026 Nikolay Govorov
+# SPDX-License-Identifier: AGPL-3.0-or-later
+
+set -e
+
+if [ -x "/bin/systemctl" ] && [ -d /run/systemd/system ] && [ -f /usr/lib/systemd/system/mirumd.service ]; then
+ /bin/systemctl daemon-reload
+
+ # Don't enable by default, don't know in advance whether it's a daemon or a worker
+ # /bin/systemctl enable mirumd
+ # /bin/systemctl enable mirumw
+fi